scsi_queue_work
Prev | drivers/scsi/hosts.c | Next

## Name

scsi_queue_work — Queue work to the Scsi_Host workqueue.

## Synopsis

`int scsi_queue_work (` | struct Scsi_Host * | shost,
| struct work_struct * | work`)`;

## Arguments

`shost`

  Pointer to Scsi_Host.

`work`

  Work to queue for execution.

## Return value

1 - work queued for execution 0 - work is already queued -EINVAL - work queue doesn't exist

Prev | Up | Next
scsi_host_put | Home | scsi_flush_work